LMDE BREAKAGES - (Tracking SID!) -{CLOSED}

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby Brian49 on Thu Apr 12, 2012 11:49 am

I'm using the froonix server in Germany.
Brian49
Level 5
Level 5
 
Posts: 610
Joined: Thu Oct 29, 2009 2:27 pm

Linux Mint is funded by ads and donations.
 

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby GeneC on Thu Apr 12, 2012 12:48 pm

I'm using the froonix server in Germany.


Brian
That's the problem.

I get the similar removals, when changing to that server.
Must be something out of sync there.

Code: Select all
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:

  banshee giver libglade2.0-cil libgnome2.24-cil libgnomepanel2.24-cil
  libgtk-sharp-beans-cil libgtk2.0-cil libmono-addins-gui0.2-cil
  libnotify0.4-cil pinta tomboy

The following packages will be upgraded:

  alsa-utils aria2 busybox libglib2.0-cil libxaw7

5 upgraded, 0 newly installed, 11 to remove and 0 not upgraded.
Need to get 3,701 kB of archives.
After this operation, 29.3 MB disk space will be freed.
Do you want to continue [Y/n]? n


Just wait or change to another mirror.
The Main Server worked with no problems for me.
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky (Debian Testing)
LMDE Xfce (SID)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1534
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby GeneC on Thu Apr 12, 2012 1:30 pm

alsa utils just showed up on the main server as well.
Looks like the froonix server in Germany was a little faster than the main.

Code: Select all
Calculating upgrade... Done
The following packages will be REMOVED:
  banshee giver libglade2.0-cil libgnome2.24-cil libgnomepanel2.24-cil libgtk-sharp-beans-cil libgtk2.0-cil
  libmono-addins-gui0.2-cil libnotify0.4-cil pinta tomboy
The following packages will be upgraded:
  alsa-utils aria2 busybox libglib2.0-cil libxaw7
5 upgraded, 0 newly installed, 11 to remove and 0 not upgraded.
Need to get 3,701 kB of archives.
After this operation, 29.3 MB disk space will be freed.
Do you want to continue [Y/n]?


===================================================

EDIT:

Alsa-utils is not the problem. It upgraded with no problems.
Code: Select all
gene@zordon:~$ apt-cache policy alsa-utils
alsa-utils:
  Installed: 1.0.25-2
  Candidate: 1.0.25-2
  Version table:
 *** 1.0.25-2 0
        500 http://http.us.debian.org/debian/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status


Its still (for me anyway)
Code: Select all
libglib2.0-cil libgtk2.0-cil


Safe Upgrade
Code: Select all
Reading state information... Done

The following packages have been kept back:

  libglib2.0-cil libgtk2.0-cil

The following packages will be upgraded:
  alsa-utils aria2 busybox libxaw7

4 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
Need to get 3,514 kB of archives.
After this operation, 23.6 kB disk space will be freed.
Do you want to continue [Y/n]?
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky (Debian Testing)
LMDE Xfce (SID)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1534
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby Brian49 on Thu Apr 12, 2012 1:49 pm

The alsa-utils update still threatens to tear the guts out of my system. So it must be something to do with what other packages I do or don't have installed, perhaps the fact that I'm trying out the most recent Liquorix kernel.
Brian49
Level 5
Level 5
 
Posts: 610
Joined: Thu Oct 29, 2009 2:27 pm

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby GeneC on Thu Apr 12, 2012 1:53 pm

Perhaps that's it, as I have a little older Liquorix.
I believe the new one is 3.3xxxx

Code: Select all
gene@zordon:~$ uname -a
Linux zordon 3.2.0-12.dmz.1-liquorix-amd64 #1 ZEN SMP PREEMPT Tue Mar 20 02:55:40 CDT 2012 x86_64 GNU/Linux
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky (Debian Testing)
LMDE Xfce (SID)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1534
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby wayne128 on Fri Apr 13, 2012 12:00 am

Have been out of touch for few months..

returned and could not resist playing with SID. :mrgreen:
d.u. and all works but graphic had some issues : when mouse over certain areas , text become garbled.. move mouse around the garbled text can become back to normal.

not sure how to solve.. any helps appreciated.


Now as I read lmde has new RC iso which is hybrid iso image,
so I downloaded 32-bit lmde xfce iso ,
use dd to prepare usb stick, reboot with usb and it works very well.
install onto a partition, it has default kernel -486, when I do a system monitor I saw only one CPU, so I install pae kernel, change repos to Debian SID.
d.u. and now it has 3.2.0-2-686-pae kernel
lmde32xrcdebian wayne # uname -r
3.2.0-2-686-pae

got to take some time to play with it.

first thing is to listen music and play videos, all seem to work. at least no problem with pulse :mrgreen:
second thing is to test the thunar file manager and use it to access network computers.. well it works, at least just click click click and I can browse network computer to read the folder shared by another computer. That was probably xfce 4.8 with a better thunar 1.2.3. I sort of remembered older thunar did not allow me to browse network until I use another method such as gigolo to mount the network computer's folder before using thunar..

third thing, I have to use sun java for some website , icetea simply does not work.
now I cannot find sun java ( old issue?) in repos, I would need to install sun java and perhaps remove icetea?
being away for a while I hope to have some help on how to install sun java :mrgreen: , thanks in advance.
Last edited by wayne128 on Fri Apr 13, 2012 12:07 am, edited 1 time in total.
wayne128
Level 10
Level 10
 
Posts: 3260
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby GregE on Fri Apr 13, 2012 12:03 am

Brian49 wrote:The alsa-utils update still threatens to tear the guts out of my system. So it must be something to do with what other packages I do or don't have installed, perhaps the fact that I'm trying out the most recent Liquorix kernel.


I do not think Liquorix is the issue, my kernel is 3.3.0-1.dmz.1-liquorix-amd64 and the update gave


Calculating upgrade... Done
The following packages have been kept back:
python-pyatspi2
The following packages will be upgraded:
alsa-utils busybox diffutils libgsm1 libnet-ssleay-perl libxaw7
shared-desktop-ontologies transmission-common transmission-gtk
9 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Need to get 4,068 kB of archives.


And the update proceeded smoothly.
User avatar
GregE
Level 4
Level 4
 
Posts: 453
Joined: Sun Jan 16, 2011 6:24 am
Location: Melbourne, Australia

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby GregE on Fri Apr 13, 2012 12:23 am

wayne128 wrote:Hand all works but graphic had some issues : when mouse over certain areas , text become garbled.. move mouse around the garbled text can become back to normal.

third thing, I have to use sun java for some website , icetea simply does not work.
now I cannot find sun java ( old issue?) in repos, I would need to install sun java and perhaps remove icetea?
being away for a while I hope to have some help on how to install sun java :mrgreen: , thanks in advance.


HowTo install Oracle Java

http://forums.debian.net/viewtopic.php?f=16&t=77140

The garbled text thing is an issue you get with ATI graphics cards and FGLRX and Gnome 3. The simplest solution is use the open source ATI driver or get the absolute latest FGLRX. It should not affect Xfce4. If you do not have an ATI video chip then what do you have?

:)
User avatar
GregE
Level 4
Level 4
 
Posts: 453
Joined: Sun Jan 16, 2011 6:24 am
Location: Melbourne, Australia

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby wayne128 on Fri Apr 13, 2012 12:41 am

GregE wrote:
HowTo install Oracle Java

http://forums.debian.net/viewtopic.php?f=16&t=77140

The garbled text thing is an issue you get with ATI graphics cards and FGLRX and Gnome 3. The simplest solution is use the open source ATI driver or get the absolute latest FGLRX. It should not affect Xfce4. If you do not have an ATI video chip then what do you have?

:)



Thanks GregE,
I found this recent post from craigevil too
viewtopic.php?f=197&t=98650&p=564575&hilit=how+to+install+sun+java#p564575

Now sun java is installed.
I found also I have to disable icetea in firefox's addones, then only the sun java script would starts running.

so all is well now for sun java, oops should be Oracle java. :mrgreen:

Yes, I have ATI.. must be driver issue??

anyway, since I am on xfce-debian-sid now , there is no garbled issue ( not yet, hope it remain so). :mrgreen:

will spend some time to try lmde-gnome new iso to see if any graphic issue on ATI..


Edit,
while first computer, with ATI graphic, had no issue on sound with all players,

attempt to install on the 9-yr old compaq ( wow still working!) desktop, it seem all is well, however, no sound on all players :evil: , I recalled the last two times installation without sound are sabayon and lmde. Many other distros have zero problem on sound for this old comps.
Took away pulseaudio, install alsa, now all players work with sound.
well: pulse again :evil:
wayne128
Level 10
Level 10
 
Posts: 3260
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby kokurya-kai on Fri Apr 13, 2012 5:13 am

No problems on dist-upgrade on my 32 bit machine.
Same kept back as GregE.
kokurya-kai
Level 1
Level 1
 
Posts: 7
Joined: Sun Jul 24, 2011 4:40 am

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby GeneC on Fri Apr 13, 2012 7:12 am

Hey Wayne

Long time, no see :)
Image
Nice to have you back.


Greg

Your having no problems with
Code: Select all
libglib2.0-cil libgtk2.0-cil

not upgrading without removing things?
(LMDE/SID/XFCE, but Gnome is similar)

Code: Select all
Calculating upgrade... Done
The following packages will be REMOVED:
  banshee docky giver libglade2.0-cil libgnome2.24-cil libgnomedesktop2.20-cil
  libgnomepanel2.24-cil libgtk-sharp-beans-cil libgtk2.0-cil libmono-addins-gui0.2-cil
  libnotify0.4-cil librsvg2-2.18-cil libwnck2.20-cil pinta tomboy
The following packages will be upgraded:
  libglib2.0-cil
1 upgraded, 0 newly installed, 15 to remove and 0 not upgraded.
Need to get 187 kB of archives.
After this operation, 32.8 MB disk space will be freed.
Do you want to continue [Y/n]?
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky (Debian Testing)
LMDE Xfce (SID)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1534
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby craigevil on Fri Apr 13, 2012 3:59 pm

No issues here running KDE4, libreoffice from experimental.

Code: Select all
The following packages will be upgraded:
  diffutils fonts-opensymbol google-chrome-stable grep libgsm1 libnet-ssleay-perl libreoffice libreoffice-base
  libreoffice-base-core libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw libreoffice-filter-binfilter
  libreoffice-filter-mobiledev libreoffice-help-en-us libreoffice-impress libreoffice-java-common libreoffice-kde
  libreoffice-math libreoffice-pdfimport libreoffice-report-builder-bin libreoffice-style-galaxy libreoffice-style-oxygen
  libreoffice-style-tango libreoffice-writer libvlc5 libvlccore5 mozilla-libreoffice python-uno python-wicd
  shared-desktop-ontologies uno-libs3 ure vlc vlc-data vlc-nox wicd wicd-cli wicd-curses wicd-daemon
41 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Debian Sid KDE4.8.4 Kernel 3.4 Thinkpad R40 CPU Pentium M 1.3MHz RAM 2GB ATI Mobility 7500
Debian - "If you can't apt-get something, it isn't useful or doesn't exist"
Giant Debian sources.list | Debian upgrade script smxi | sysinfo script inxi
craigevil
Level 5
Level 5
 
Posts: 559
Joined: Wed Sep 15, 2010 6:10 am
Location: down the rabbit hole

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby GregE on Fri Apr 13, 2012 7:45 pm

GeneC wrote:Greg

Your having no problems with
Code: Select all
libglib2.0-cil libgtk2.0-cil

not upgrading without removing things?
(LMDE/SID/XFCE, but Gnome is similar)


Hi Gene, for once that one is easy. The first thing I do when installing any distro is remove all things mono. Any lib ending in -cil is part of the mono setup. So I do not have any issue because that whole area is simply not there.

That is my philosophical choice, and this time is comes with a bonus.

:)
User avatar
GregE
Level 4
Level 4
 
Posts: 453
Joined: Sun Jan 16, 2011 6:24 am
Location: Melbourne, Australia

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby wayne128 on Fri Apr 13, 2012 7:53 pm

Hi Greg,

How to remove all things related to mono in any distros?

thanks

Hi Gen, thanks. It was a nice break.
wayne128
Level 10
Level 10
 
Posts: 3260
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby Brian49 on Sat Apr 14, 2012 6:23 am

wayne128 wrote:How to remove all things related to mono in any distros?

You could try running this command in a terminal, but obviously back up your system first in case anything goes wrong:

Code: Select all
sudo apt-get purge libmono* libgdiplus cli-common libglitz-glx1 libglitz1


You may well have some applications installed that depend on mono, in which case you will need to find suitable alternative applications.
Brian49
Level 5
Level 5
 
Posts: 610
Joined: Thu Oct 29, 2009 2:27 pm

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby GeneC on Sat Apr 14, 2012 6:45 am

Brian49 wrote:
wayne128 wrote:How to remove all things related to mono in any distros?

You could try running this command in a terminal, but obviously back up your system first in case anything goes wrong:

Code: Select all
sudo apt-get purge libmono* libgdiplus cli-common libglitz-glx1 libglitz1


You may well have some applications installed that depend on mono, in which case you will need to find suitable alternative applications.


Didnt have
libglitz-glx1 libglitz1


Running
Code: Select all
sudo apt-get purge libmono* libgdiplus cli-common


Yeilds
Code: Select all
The following packages will be REMOVED:
  banshee* cli-common* docky* giver* libart2.0-cil* libavahi1.0-cil* libboo2.0.9-cil* libdbus-glib1.0-cil*
  libdbus1.0-cil* libflickrnet2.2-cil* libgconf2.0-cil* libgdata1.7-cil* libgdata1.9-cil* libgdiplus* libgio-cil*
  libgkeyfile1.0-cil* libglade2.0-cil* libglib2.0-cil* libgmime2.4-cil* libgmime2.6-cil* libgnome-keyring1.0-cil*
  libgnome-vfs2.0-cil* libgnome2.24-cil* libgnomedesktop2.20-cil* libgnomepanel2.24-cil* libgtk-sharp-beans-cil*
  libgtk2.0-cil* libgudev1.0-cil* libmono-addins-gui0.2-cil* libmono-addins0.2-cil* libmono-cairo2.0-cil*
  libmono-cairo4.0-cil* libmono-compilerservices-symbolwriter4.0-cil* libmono-corlib2.0-cil* libmono-corlib4.0-cil*
  libmono-data-tds2.0-cil* libmono-data-tds4.0-cil* libmono-i18n-west2.0-cil* libmono-i18n-west4.0-cil*
  libmono-i18n4.0-cil* libmono-messaging2.0-cil* libmono-posix2.0-cil* libmono-posix4.0-cil*
  libmono-security2.0-cil* libmono-security4.0-cil* libmono-sharpzip2.84-cil* libmono-sharpzip4.84-cil*
  libmono-simd2.0-cil* libmono-sqlite2.0-cil* libmono-sqlite4.0-cil* libmono-system-configuration4.0-cil*
  libmono-system-core4.0-cil* libmono-system-data-linq2.0-cil* libmono-system-data2.0-cil*
  libmono-system-data4.0-cil* libmono-system-drawing4.0-cil* libmono-system-enterpriseservices4.0-cil*
  libmono-system-messaging2.0-cil* libmono-system-security4.0-cil* libmono-system-transactions4.0-cil*
  libmono-system-web-applicationservices4.0-cil* libmono-system-web-services4.0-cil* libmono-system-web2.0-cil*
  libmono-system-web4.0-cil* libmono-system-xml-linq4.0-cil* libmono-system-xml4.0-cil* libmono-system2.0-cil*
  libmono-system4.0-cil* libmono-wcf3.0-cil* libmono-web4.0-cil* libmono-zeroconf1.0-cil* libmono2.0-cil*
  libndesk-dbus-glib1.0-cil* libndesk-dbus1.0-cil* libnotify0.4-cil* librsvg2-2.18-cil* libtaglib2.0-cil*
  libwnck2.20-cil* mono-2.0-gac* mono-4.0-gac* mono-gac* mono-runtime* pinta* tomboy*
0 upgraded, 0 newly installed, 84 to remove and 13 not upgraded.
After this operation, 76.2 MB disk space will be freed.
Do you want to continue [Y/n]?


Which is pretty much the same removals as before, plus all of 'mono' of course.
Not sure what mono is. Seen some negative comments about it. Can someone clarify before I remove? :P

Replacements I used in Gnome.
Banshee = Audacious
Tomboy = Gnote (clone of Tomboy)
Pinta = mtPaint (aslo have GIMP)

but
DOCKY? = (if I use AWN I have to install most of Gnome in XFCE) :shock: :? :x

=======================

With my LMDE/SID/Gnome-Cin. partition I just did the upgrade without removing 'mono'
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky (Debian Testing)
LMDE Xfce (SID)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1534
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby Brian49 on Sat Apr 14, 2012 7:05 am

GeneC wrote:Not sure what mono is. Seen some negative comments about it. Can someone clarify before I remove?

According to the package information that appears in Synaptic:

"Mono is a platform for running and developing applications based on the ECMA/ISO Standards. Mono is an open source effort led by Novell. Mono provides a complete CLR (Common Language Runtime) including compiler and runtime, which can produce and execute CIL (Common Intermediate Language) bytecode (aka assemblies), and a class library."

I guess the main objection to using it on a Linux system is simply that it's unnecessary clutter. Some people also object to the fact that it makes the user beholden to Novell.
Brian49
Level 5
Level 5
 
Posts: 610
Joined: Thu Oct 29, 2009 2:27 pm

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby GeneC on Sat Apr 14, 2012 7:33 am

Thanks, Brian.
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky (Debian Testing)
LMDE Xfce (SID)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1534
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE (Tracking SID) - BREAKAGES - Apr 12

Postby Regulus74 on Sat Apr 14, 2012 7:49 am

GeneC wrote:but
DOCKY? = (if I use AWN I have to install most of Gnome in XFCE) :shock: :? :x


I removed Mono too...before this issue.
I use the dock extension of Gnome-Shell or Cinnamon :)
Arch Linux user
User avatar
Regulus74
Level 2
Level 2
 
Posts: 62
Joined: Mon Oct 03, 2011 6:07 pm
Location: Mantova - Italy


Linux Mint is funded by ads and donations.
 
PreviousNext

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 4 guests